package whatsapp_channel

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/whatsapp_channel"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /whatsapp_channel/update whatsapp_channel UpdateWhatsappChannel
//
// Update whatsapp channel information | 更新WhatsappChannel
//
// Update whatsapp channel information | 更新WhatsappChannel
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: WhatsappChannelInfo
//
// Responses:
//  200: BaseMsgResp

func UpdateWhatsappChannelHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.WhatsappChannelInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := whatsapp_channel.NewUpdateWhatsappChannelLogic(r.Context(), svcCtx)
		resp, err := l.UpdateWhatsappChannel(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
